package com.rjconsultores.ventaboletos.web.gui.controladores.impressaofiscal;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.FiscalFormapagoEmpresa;
import com.rjconsultores.ventaboletos.entidad.FormaPago;

public class FormapagoEmpresaListItemRenderer implements ListitemRenderer {
	
	@Override
	public void render(Listitem listItem, Object obj) throws Exception {
		FiscalFormapagoEmpresa formapagoEmpresa = (FiscalFormapagoEmpresa)obj;

		Listcell idCell =  new Listcell(formapagoEmpresa.getFiscalformapagoempresaId().toString());
		idCell.setParent(listItem);
		
		Listcell empresaCell =  new Listcell(formapagoEmpresa.getEmpresa().toString());
		empresaCell.setParent(listItem);
		
		Listcell tipoFormapagoCell =  new Listcell(formapagoEmpresa.getTipoformapago());
		tipoFormapagoCell.setParent(listItem);
				
		Listcell descricaoCell =  new Listcell(formapagoEmpresa.getDescricao());
		descricaoCell.setParent(listItem);
				
		FormaPago formaPagoTotalBus = formapagoEmpresa.getFormaPago();
		Listcell formaPagoTotalBusCell =  new Listcell((formaPagoTotalBus != null)?formaPagoTotalBus.toString():"");
		formaPagoTotalBusCell.setParent(listItem);	
					
		listItem.setAttribute("data", formapagoEmpresa);		
	}

}
